org.kie.api.pmml

## Class AbstractOutput<T>

- java.lang.Object
- - org.kie.api.pmml.AbstractOutput<T>

- All Implemented Interfaces:
    PMML4Output<T>
  Direct Known Subclasses:
    DoubleFieldOutput, IntegerFieldOutput, StringFieldOutput

      public abstract class AbstractOutput<T>
      extends Object
      implements PMML4Output<T>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Double` | `weight`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOutput()`
    `AbstractOutput(String correlationId, String name)`
    `AbstractOutput(String correlationId, String name, String displayValue, Double weight)`
    `AbstractOutput(String correlationId, String segmentationId, String segmentId, String name)`
    `AbstractOutput(String correlationId, String segmentationId, String segmentId, String name, String displayValue, Double weight)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getCorrelationId()`
    `String` | `getDisplayValue()`
    `String` | `getName()`
    `String` | `getSegmentationId()`
    `String` | `getSegmentId()`
    `Double` | `getWeight()`
    `int` | `hashCode()`
    `void` | `setCorrelationId(String correlationId)`
    `void` | `setDisplayValue(String displayValue)`
    `void` | `setName(String name)`
    `void` | `setSegmentationId(String segmentationId)`
    `void` | `setSegmentId(String segmentId)`
    `void` | `setWeight(Double weight)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.pmml.PMML4Output

      `getValue, setValue`

- - ### Field Detail

    - #### weight

          protected Double weight

  - ### Constructor Detail

    - #### AbstractOutput

          public AbstractOutput()

    - #### AbstractOutput

          public AbstractOutput(String correlationId,
                                String name)

    - #### AbstractOutput

          public AbstractOutput(String correlationId,
                                String segmentationId,
                                String segmentId,
                                String name)

    - #### AbstractOutput

          public AbstractOutput(String correlationId,
                                String name,
                                String displayValue,
                                Double weight)

    - #### AbstractOutput

          public AbstractOutput(String correlationId,
                                String segmentationId,
                                String segmentId,
                                String name,
                                String displayValue,
                                Double weight)

  - ### Method Detail

    - #### getCorrelationId

          public String getCorrelationId()

      Specified by:
        `getCorrelationId` in interface `PMML4Output<T>`

    - #### setCorrelationId

          public void setCorrelationId(String correlationId)

      Specified by:
        `setCorrelationId` in interface `PMML4Output<T>`

    - #### getSegmentationId

          public String getSegmentationId()

      Specified by:
        `getSegmentationId` in interface `PMML4Output<T>`

    - #### setSegmentationId

          public void setSegmentationId(String segmentationId)

      Specified by:
        `setSegmentationId` in interface `PMML4Output<T>`

    - #### getSegmentId

          public String getSegmentId()

      Specified by:
        `getSegmentId` in interface `PMML4Output<T>`

    - #### setSegmentId

          public void setSegmentId(String segmentId)

      Specified by:
        `setSegmentId` in interface `PMML4Output<T>`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `PMML4Output<T>`

    - #### setName

          public void setName(String name)

      Specified by:
        `setName` in interface `PMML4Output<T>`

    - #### getDisplayValue

          public String getDisplayValue()

      Specified by:
        `getDisplayValue` in interface `PMML4Output<T>`

    - #### setDisplayValue

          public void setDisplayValue(String displayValue)

      Specified by:
        `setDisplayValue` in interface `PMML4Output<T>`

    - #### getWeight

          public Double getWeight()

      Specified by:
        `getWeight` in interface `PMML4Output<T>`

    - #### setWeight

          public void setWeight(Double weight)

      Specified by:
        `setWeight` in interface `PMML4Output<T>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.